> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# LinkedIn Company Posts

> Get LinkedIn posts from a company or profile — content, media, and engagement metrics

`$1.4 / 1k posts`

Get LinkedIn posts from a company or profile — content, media, and engagement metrics

## Endpoint

`POST /api/v1/agents/linkedin/company-posts/run`

## Parameters

<ParamField body="urls" type="array" required>
  **List** · LinkedIn company URLs to scrape posts from. One per line.
</ParamField>

<ParamField body="maxResults" type="integer" default={50}>
  **Number** · Posts per company/profile. Use 0 for all.
</ParamField>

<ParamField body="postedLimit" type="string">
  **Dropdown** · Only posts within this time window.

  <Accordion title="Show all 8 options">
    `any`, `1h`, `24h`, `week`, `month`, `3months`, `6months`, `year`

    *Legend: `any` = Any time, `1h` = Past hour, `24h` = Past 24 hours, `week` = Past week, `month` = Past month, `3months` = Past 3 months, `6months` = Past 6 months, `year` = Past year*

    [View all 8 as a structured list →](/agents/linkedin/company-posts/values#postedlimit)
  </Accordion>
</ParamField>

<ParamField body="includeQuotePosts" type="boolean" default={true}>
  **Toggle** · Quote posts (shared with commentary).
</ParamField>

<ParamField body="includeReposts" type="boolean" default={true}>
  **Toggle** · Reposts (shared without commentary).
</ParamField>

## Response columns

| Field            | Display name    | Type   |
| ---------------- | --------------- | ------ |
| `companyUrl`     | Company URL     | url    |
| `postUrl`        | Post URL        | url    |
| `postText`       | Post Text       | text   |
| `posted`         | Posted          | text   |
| `author`         | Author          | text   |
| `authorTitle`    | Author Title    | text   |
| `authorUrl`      | Author URL      | url    |
| `authorAvatar`   | Author Avatar   | url    |
| `authorHandle`   | Author Handle   | text   |
| `authorType`     | Author Type     | text   |
| `likes`          | Likes           | number |
| `comments`       | Comments        | number |
| `shares`         | Shares          | number |
| `reactions`      | Reactions       | number |
| `postImage`      | Post Image      | url    |
| `videoThumbnail` | Video Thumbnail | url    |
| `videoUrl`       | Video URL       | url    |
| `articleTitle`   | Article Title   | text   |
| `articleLink`    | Article Link    | url    |
| `articleImage`   | Article Image   | url    |
| `type`           | Type            | text   |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/linkedin/company-posts/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "urls": [
        "https://www.linkedin.com/company/microsoft/"
      ],
      "maxResults": 10,
      "maxReactions": 5,
      "postNestedReactions": false,
      "maxComments": 10,
      "postNestedComments": false
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/linkedin/company-posts/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "urls": [
          "https://www.linkedin.com/company/microsoft/"
      ],
      "maxResults": 10,
      "maxReactions": 5,
      "postNestedReactions": false,
      "maxComments": 10,
      "postNestedComments": false
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "companyUrl": "https://www.linkedin.com/company/microsoft/",
      "postUrl": "https://www.linkedin.com/posts/microsoft_ailearningsummit-activity-7456251136203837442-xDFY",
      "postText": "Um eine Frontier Firm zu werden, braucht es die richtige Einstellung, die passenden Kompetenzen und eine klare Strategie. \ud83d\udc40\n\nDer Countdown l\u00e4uft: In nur 3 Tagen startet der Microsoft AI Learning Summit. Das ist das ideale Event, um den ersten Schritt zu machen.\n\nUnser zweit\u00e4giges Online-Event zeigt auf, wie KI Arbeitsprozesse, Innovation und das Wachstum von Organisationen auf ein neues Level hebt.\n\nStarten Sie jetzt Ihre Reise in die Welt der KI.\n\n\ud83d\udc49 Jetzt registrieren: http://msft.it/6048vynR8\n\n#AILearningSummit",
      "posted": "2026-05-02T08:00:01.318Z",
      "author": "Microsoft",
      "authorTitle": "28,133,750 followers",
      "authorUrl": "https://www.linkedin.com/company/microsoft/posts",
      "authorAvatar": "https://media.licdn.com/dms/image/v2/D560BAQH32RJQCl3dDQ/company-logo_400_400/B56ZYQ0mrGGoAc-/0/1744038948046/microsoft_logo?e=1779321600&v=beta&t=LRwzN63RDhH82w_zep4On3Nilpv2CLkmnwD9PvAkWgk",
      "authorHandle": "microsoft",
      "authorType": "company",
      "likes": 8,
      "comments": 0,
      "shares": 3,
      "reactions": null,
      "postImage": null,
      "videoThumbnail": null,
      "videoUrl": null,
      "articleTitle": null,
      "articleLink": null,
      "articleImage": null,
      "type": "post"
    }
  ]
}
```
